Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.query.property
Class RevisionNumberPropertyName

    java.lang.Object
      org.hibernate.envers.query.property.RevisionNumberPropertyName

All Implemented Interfaces:
  PropertyNameGetter

    public class RevisionNumberPropertyName

extends Object
implements PropertyNameGetter

Used for specifying restrictions on the revision number, corresponding to an audit entity.

Constructor Summary
`RevisionNumberPropertyName()`

Method Summary
`String` | `get(AuditConfiguration auditCfg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevisionNumberPropertyName

    public RevisionNumberPropertyName()

Method Detail

### get

    public String get(AuditConfiguration auditCfg)

  Specified by:
    `get` in interface `PropertyNameGetter`
  Parameters:
    `auditCfg` - Audit configuration.
  Returns:
    Name of the property, to be used in a query.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.